#include "partition.h"
#include <bits/stdc++.h>
using namespace std;
std::vector<int> solve(std::vector<int> A)
{
    vector<int> indx;
    if (A.size()%2==0)
    {
        for (int i=0; i<(A.size()/2)-1; i++) indx.push_back(i);
    }
    else
    {
        for (int i=0; i<(A.size()/2); i++) indx.push_back(i);
    }
    indx.push_back(A.size()-1);
    int k=indx.size();
    for (int i=k-1; i<A.size()-1; i++) indx.push_back(i);
    return indx;
}